Get a sweep config | Moov Documentation

Get a sweep config

Get a sweep config associated with a wallet.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

GET

/accounts/{accountID}/sweep-configs/{sweepConfigID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs/{sweepConfigID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var sweepConfigID string

mc.GetSweepConfig(ctx, accountID, sweepConfigID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.getConfig({
    accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
    sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\